Browse Source

Synced with upstream and prepared usr-merge

master
Alf Gaida 2 years ago
parent
commit
3c1558f66c

+ 6
- 2
data/exclusion_list View File

@@ -2,13 +2,11 @@
/disks/*
/etc/network/run/*
/home/*/.DCOPserver_*
/home/*/.local/share/akonadi*
/home/*/.gvfs*
/home/*/.kde/cache-*
/home/*/.kde/socket-*
/home/*/.kde/tmp-*
/home/*/.*uthority
/home/*/Desktop/sidu-installer.desktop
/home/*/.kaxtv*
/lib/init/rw/*
/media/*
@@ -19,3 +17,9 @@
/tmp/*
/var/cache/gdm/*
/var/tmp/*
/bin
/lib
/lib32
/lib64
/libx32
/sbin

+ 11
- 4
debian/changelog View File

@@ -1,3 +1,10 @@
fll-installer (0.11.3.6) UNRELEASED; urgency=medium

* Sync with upstream
* Prepared usr-merge (not tested yet)

-- Alf Gaida <agaida@siduction.org> Sun, 04 Nov 2018 14:09:05 +0100

fll-installer (0.11.3.5) unstable; urgency=medium

* Removed recommend sidu-installer
@@ -12,7 +19,7 @@ fll-installer (0.11.3.4) unstable; urgency=medium

fll-installer (0.11.3.3) unstable; urgency=medium

* fix sddm theme
* fix sddm theme

-- Alf Gaida <agaida@siduction.org> Fri, 23 Dec 2016 22:19:19 +0100

@@ -31,7 +38,7 @@ fll-installer (0.11.3.2) unstable; urgency=medium

fll-installer (0.11.3.1) unstable; urgency=medium

* some minor fixes
* some minor fixes

-- Alf Gaida <agaida@siduction.org> Sun, 07 Aug 2016 22:11:17 +0200

@@ -39,7 +46,7 @@ fll-installer (0.11.3) unstable; urgency=medium

[ Stefan Lippers-Hollmann ]
* NOT RELEASED YET
[ Alf Gaida ]
* take the whole upstream changelog, drop our changelog
* go with upstream versions
@@ -47,7 +54,7 @@ fll-installer (0.11.3) unstable; urgency=medium
* leave only important changes in our sources
- Zeppo, hama, myself and other contributors - you are not
forgotten, but i had to clean up the diffs - sorry. The
commits and living code are still in git
commits and living code are still in git

-- Alf Gaida <agaida@siduction.org> Sat, 25 Jun 2016 15:00:12 +0200


+ 1
- 1
debian/compat View File

@@ -1 +1 @@
10
11

+ 2
- 4
debian/control View File

@@ -5,8 +5,8 @@ Maintainer: Alf Gaida <agaida@siduction.org>
Uploaders: J. Hamatoma <hama@siduction.net>,
Ferdinand Thommes <devil@siduction.org>,
Ovidiu Angelescu <convbsd@siduction.net>,
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Vcs-Git: git://git.siduction.org/code/fll-installer
Vcs-Browser: http://git.siduction.org/?p=code/fll-installer.git

@@ -14,7 +14,6 @@ Package: fll-installer
Architecture: all
Depends: ${misc:Depends},
adduser,
base-files (>= 6.4),
initramfs-tools,
grub-pc | grub-efi,
lsof,
@@ -24,7 +23,6 @@ Depends: ${misc:Depends},
os-prober,
rsync,
fll-live-initscripts
Breaks: initscripts (<< 2.88dsf-16~)
Suggests: gparted,
distro-defaults
Description: backend scripts to install siduction to hdd

+ 9
- 9
debian/copyright View File

@@ -1,14 +1,14 @@
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: fll-installer
Upstream-Contact: Joaquim Boura <x-un-i@sapo.pt>
Source: git://github.com/fullstory/fll-installer.git
Upstream-Contact: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Source: https://github.com/fullstory/fll-installer.git

Files: *
Copyright: 2012-2016 Alf Gaida <agaida@siduction.org>
2012-2013 Ovidiu Angelescu <convbsd@siduction.org>
2007-2011 Joaquim Boura <x-un-i@berlios.de>
2008-2010 Niall Walsh <niallwalsh@users.berlios.de>
2004-2015 Stefan Lippers-Hollmann <s.l-h@gmx.de>
Copyright: 2012-2018, Alf Gaida <agaida@siduction.org>
2012-2013, Ovidiu Angelescu <convbsd@siduction.org>
2007-2011, Joaquim Boura <x-un-i@berlios.de>
2008-2010, Niall Walsh <niallwalsh@users.berlios.de>
2004-2018, Stefan Lippers-Hollmann <s.l-h@gmx.de>
License: GPL-2.0
Comment:
Based on the knoppix installer from Fabian Franz
@@ -38,7 +38,7 @@ License: GPL-2.0
GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>
along with this program. If not, see <https://www.gnu.org/licenses/>
.
On Debian systems, the complete text of the GNU General
Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

+ 0
- 27
debian/preinst View File

@@ -1,27 +0,0 @@
#!/bin/sh

set -e

case "$1" in
install|upgrade)
if ! ischroot; then
if [ ! -d /fll ] ; then
echo '############################################################'
echo 'Installing this package is only allowed in live systems!'
echo 'Aborting installation.'
echo '############################################################'
exit 1
fi
fi
;;
abort-upgrade)
;;
*)
echo "preinst called with unknown argument \`$1'" >&2
exit 1
;;
esac

#DEBHELPER#

exit 0

+ 14
- 7
modules/backend/copy2HD.bm View File

@@ -13,7 +13,7 @@
# Error Codes
# 20 - error copying iso to harddisk
#
# Return 0 on success
# Return 0 on success
# on error the error code and message are in /tmp/.installer.errors
##-------------------------------------------------------------------
##
@@ -38,7 +38,7 @@ copy2HD()

for dir in ${DEFAULT_DIR}/*; do
[ -d "${dir}" ] || continue
if [ -L "${dir}" ]; then
#
# /lib64 -> /lib symlink handling
@@ -54,7 +54,7 @@ copy2HD()
/home)
# don't clobber an existing /home/${DEFAULT_USER}
[ -d "${TARGET_MNT_POINT}/home/${DEFAULT_USER}" ] && continue
# don't copy if /home/${USER_NAME} exists
# we could not move /home/${DEFAULT_USER}
[ -d "${TARGET_MNT_POINT}/home/${USER_NAME}" ] && continue
@@ -65,7 +65,7 @@ copy2HD()
[ "${DEFAULT_DIR#${dir}}" != "${DEFAULT_DIR}" ] && continue
;;
esac
#
# do the copy
#
@@ -76,9 +76,16 @@ copy2HD()
--quiet \
--exclude-from="${SEARCHPATH}/data/exclusion_list" \
"${dir}" "${TARGET_MNT_POINT}"
ln -sf "${TARGET_MNT_POINT}/usr/bin" "${TARGET_MNT_POINT}/bin"
ln -sf "${TARGET_MNT_POINT}/usr/lib" "${TARGET_MNT_POINT}/lib"
ln -sf "${TARGET_MNT_POINT}/usr/lib32" "${TARGET_MNT_POINT}/lib32"
ln -sf "${TARGET_MNT_POINT}/usr/lib64" "${TARGET_MNT_POINT}/lib64"
ln -sf "${TARGET_MNT_POINT}/usr/libx32" "${TARGET_MNT_POINT}/libx32"
ln -sf "${TARGET_MNT_POINT}/usr/sbin" "${TARGET_MNT_POINT}/sbin"

if [ $? -ne 0 ] ; then
touch ${ERR_COPY}
# echo 20 "Error copying iso to harddisk"
# echo 20 "Error copying iso to harddisk"
break
fi
sync
@@ -87,11 +94,11 @@ copy2HD()

# when the file /tmp/.installer.errors exist and the first field is 20
# then we must stop installation as an error has happened
# if [ -s $ERRLOG ]; then
if [ -e ${ERR_COPY} ]; then
rm -f ${ERR_COPY}
error 20 "Error copying iso to harddisk"
error 20 "Error copying iso to harddisk"
fi

#

+ 1
- 1
modules/backend/fix_etc_on_HD.bm View File

@@ -136,7 +136,7 @@ fix_etc_on_HD () {

# copy a possible configuration to sddm.conf
cp -fv "${TARGET_MNT_POINT}/etc/sddm-patience.conf" "${TARGET_MNT_POINT}/etc/sddm.conf"
cp -fv "${TARGET_MNT_POINT}/etc/sddm-*.conf" "${TARGET_MNT_POINT}/etc/sddm.conf"

#
# revert slim autologin

+ 0
- 10
modules/backend/fix_home_on_HD.bm View File

@@ -63,20 +63,10 @@ fix_home_on_HD()
"${TARGET_MNT_POINT}${INSTHOME}/.kde/share/config/kdesurc" \
"${TARGET_MNT_POINT}${INSTHOME}/.kde/share/apps/konsole/sumc.desktop" \
"${TARGET_MNT_POINT}${INSTHOME}/.kde/share/apps/konsole/su.desktop" \
"${TARGET_MNT_POINT}${INSTHOME}/.gconf/apps/gksu/%gconf.xml" \
"${TARGET_MNT_POINT}${INSTHOME}/.su-to-rootrc"; do
grep -s -q sudo "$file" && rm -f "$file"
done

#
# revert gksu sudo mode hack
#
logit "revert gksu sudo mode hack"
chroot "${TARGET_MNT_POINT}" \
sudo -u "${FLL_LIVE_USER}" gconftool-2 -s -t bool /apps/gksu/sudo-mode false
chroot "${TARGET_MNT_POINT}" \
sudo -u "${FLL_LIVE_USER}" gconftool-2 -s -t bool /apps/gksu/display-no-pass-info true

#
# remove installer from fluxbox menu
#

+ 2
- 2
modules/backend/fix_locales_on_HD.bm View File

@@ -57,9 +57,9 @@ fix_locales_on_HD ()
#
# adapted from desktop-defaults
#
if grep -s -q '^LayoutList=' "$TARGET_MNT_POINT/home/$USER_NAME/.config/kxkbrc"; then
if grep -s -q '^LayoutList=' "$TARGET_MNT_POINT/home/$USER_NAME/.kde/share/config/kxkbrc"; then
sed -i 's|^LayoutList=.*|LayoutList='"${KDEKEYBOARDS}"'|' \
"$TARGET_MNT_POINT/home/$USER_NAME/.config/kxkbrc"
"$TARGET_MNT_POINT/home/$USER_NAME/.kde/share/config/kxkbrc"
fi
fi
fi

+ 1
- 1
modules/backend/install_grub_efi.bm View File

@@ -52,7 +52,7 @@ install_grub_efi()
extramnt="/fll"
[ -e "${extramnt}/extras" ] || extramnt="$(fll_get_mnt)"
mount -o bind ${extramnt} ${TARGET_MNT_POINT}/mnt
echo 'deb file:///mnt/extras sid main' > ${EFIAPTSOURCES}/sources.list
echo 'deb [trusted=yes] file:///mnt/extras sid main' > ${EFIAPTSOURCES}/sources.list
mkdir ${EFIAPTSOURCES}/preferences.d
chroot_it ${APTGETBASE} update > /dev/null
chroot_it ${APTGETBASE} --allow-unauthenticated --assume-yes install ${grubdeb} > /dev/null

Loading…
Cancel
Save